## amrparse amrparse — AMR parser |

## Synopsis

                        GstAmrParse;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstAudioBaseParseBad
                         +----GstAmrParse

## Description

### Example launch line

This is an AMR parser capable of handling both narrow-band and wideband formats.

    gst-launch filesrc location=abc.amr ! amrparse ! amrdec ! audioresample ! audioconvert ! alsasink

## Details

### GstAmrParse

    typedef struct _GstAmrParse GstAmrParse;

The opaque GstAacParse data structure.

## See Also

GstAmrnbDec, GstAmrnbEnc